# Interface UniqueValueClassJson

The uniqueValueClass object contains the symbology for grouped unique values in the renderer.

See https://developers.arcgis.com/web-map-specification/objects/uniqueValueClass/ https://developers.arcgis.com/web-scene-specification/objects/uniqueValueClass/.

interface UniqueValueClassJson {
description?: string;
label?: string;
symbol: SymbolJson;
values: string[][];
}

#####
Index

### Properties

description?
label?
symbol
values

##
Properties

### `Optional` description

description?: string

String value used to describe the drawn symbol.

### `Optional` label

label?: string

String value used to label the drawn symbol.

### symbol

symbol: SymbolJson

An object used to display the value.

### values

values: string[][]

A list of unique values that should be rendered with the same symbol. Each item in the list represents a set of value combinations represented by the given symbol. The inner array must contain only one value if only field1 is specified, two values if field1 and field2 are specified, or three values if field1, field2, and field3 are specified. The inner arrays must not contain more than three values.